Jump to content


Photo

BFME2 "Please insert the correct CD-ROM" Error


Best Answer ICT, 30 October 2017 - 10:08 PM

You install it after installing 1.06 and then apply the new game.dat

Go to the full post


  • Please log in to reply
5 replies to this topic

#1 Bajar

Bajar
  • Members
  • 5 posts

Posted 30 October 2017 - 02:57 PM

Hello all,

 

I have been playing BFME1 a lot with no problems so I decided to install BFME2, I have the game installed into my program files and didn't mount it to a disk etc, the problem is whenever I open the game in the T3A online app it gives me the Please insert the correct CD-ROM" Error. The weird part is the game will open when I launch the Exe in the directory, but just not on T3A.

 

Things i have tried:

Running T3A online as administrator 

Making sure that it isn't running in compatibility mode for all users

Installing the Game.dat file which is in your main post

Installing the official 1.06 EA patch

Tried the BFME 2 Patch switcher, changed from 1.0 to 1.06 to 1.09 then back to 1.06 to make sure no errors happened.

Installed the ISO file and extracted it to my program files

 

Image showing the error:

http://puu.sh/yaHfT/cefe3ec160.jpg

http://puu.sh/yaHwO/ebeb65b3ef.png

 

Any information would be greatly appreciated.

 



#2 ICT

ICT

    -

  • Veterans
  • 3,072 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 30 October 2017 - 04:40 PM

Don't extract the ISO files, you just need them to install the game. You need to apply the new game.dat only after you installed patch 1.06 to make it work.

"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#3 Bajar

Bajar
  • Members
  • 5 posts

Posted 30 October 2017 - 05:29 PM

The game has now successfully launched, to clarify for everyone else who looks at this with this problem; what I did was download the ISO file from here https://forums.revor...allation-guide/ and opened the disc (I'm using windows 10) I then launched the exe called autorun which took me to a set-up screen, from there I proceeded and came to the part where I enter a code I downloaded the keygen from the same page https://forums.revora.net/topic/105190-bfme1bfme2rotwk-games-download-installation-guide/ after the setup was finished I manually installed patch 1.06 from the same page and inserted it into the BFME2 Directory. I hope this helped you all.

 

Thank you very much @ICT for your help and my silly mistake.


Edited by Bajar, 30 October 2017 - 05:34 PM.


#4 Bajar

Bajar
  • Members
  • 5 posts

Posted 30 October 2017 - 05:55 PM

Just one question @ICT if i want to play 1.09 how would i go about doing that? because i tried using the patch switcher to get to it and the same problem as before came back.



#5 ICT

ICT

    -

  • Veterans
  • 3,072 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 30 October 2017 - 10:08 PM   Best Answer

You install it after installing 1.06 and then apply the new game.dat


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#6 Deathfly

Deathfly
  • Members
  • 8 posts

Posted 12 December 2017 - 03:45 AM

Hi, I am new.  I think I am close to install but how do I change the new game.dat?  I think I downloaded the new version of game.dat but I dont know where to go to replace the old one.  The directions said to go to It is located in your main installation directory of BFME2 but I dont know how to find that spot to replace it.

 

Side note I could not install update 1.06 but did install 1.09. Do you have to have 1.06 because the English link would not work.


Edited by Deathfly, 12 December 2017 - 03:53 AM.





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users